Loading...
Searching...
No Matches
casacore::MSCorrGram_global_functions_MSCorrGramFunctions Struct Reference
ms package (libcasa_ms) » MSSel_module » MSSel_module_internal_classes

More...

`#include <MSCorrGram.h>`

## Public Member Functions

int | msCorrGramParseCommand (const MeasurementSet *ms, const String &command)
| Declare the bison parser (is implemented by bison command).
void | MSCorrGramerror (const char *)
| The yyerror function for the parser.
const TableExprNode * | msCorrGramParseNode ()
| Give the table expression node.
void | msCorrGramParseDeleteNode ()
Int & | msCorrGramPosition ()
| Give the current position in the string.
int | msCorrGramInput (char *buf, int max_size)
| Declare the input routine for flex/bison.
String | msCorrGramRemoveEscapes (const String &in)
| A function to remove escaped characters.
String | msCorrGramRemoveQuotes (const String &in)
| A function to remove quotes from a quoted string.

## Detailed Description

Global functions for flex/bison scanner/parser for MSCorrGram

### Intended use:

Internal

### Prerequisite

- MSCorrGram.l and.y (flex and bison grammar)

### Synopsis

Global functions are needed to define the input of the flex scanner and to start the bison parser. The input is taken from a string.

### Motivation

It is necessary to be able to give an image expression in ASCII. This can be used in glish.

Definition at line 70 of file MSCorrGram.h.

## Member Function Documentation

## MSCorrGramerror()

void casacore::MSCorrGram_global_functions_MSCorrGramFunctions::MSCorrGramerror | ( | const char * |  | ) |

The yyerror function for the parser.

It throws an exception with the current token.

## msCorrGramInput()

int casacore::MSCorrGram_global_functions_MSCorrGramFunctions::msCorrGramInput | ( | char * | buf,
|  | int | max_size )

Declare the input routine for flex/bison.

## msCorrGramParseCommand()

int casacore::MSCorrGram_global_functions_MSCorrGramFunctions::msCorrGramParseCommand | ( | const MeasurementSet * | ms,
|  | const String & | command )

Declare the bison parser (is implemented by bison command).

## msCorrGramParseDeleteNode()

void casacore::MSCorrGram_global_functions_MSCorrGramFunctions::msCorrGramParseDeleteNode | ( |  | ) |

## msCorrGramParseNode()

const TableExprNode * casacore::MSCorrGram_global_functions_MSCorrGramFunctions::msCorrGramParseNode | ( |  | ) |

Give the table expression node.

## msCorrGramPosition()

Int & casacore::MSCorrGram_global_functions_MSCorrGramFunctions::msCorrGramPosition | ( |  | ) |

Give the current position in the string.

This can be used when parse errors occur.

## msCorrGramRemoveEscapes()

String casacore::MSCorrGram_global_functions_MSCorrGramFunctions::msCorrGramRemoveEscapes | ( | const String & | in | ) |

A function to remove escaped characters.

## msCorrGramRemoveQuotes()

String casacore::MSCorrGram_global_functions_MSCorrGramFunctions::msCorrGramRemoveQuotes | ( | const String & | in | ) |

A function to remove quotes from a quoted string.

The documentation for this struct was generated from the following file:

- ms/MSSel/MSCorrGram.h